From bd05985c8fc35d33bb264c090ddece44f6928749 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Fri, 13 Oct 2023 14:23:19 +1100
Subject: [PATCH v5] Change ids for CREATE SUBSCRIPTION parameters

---
 doc/src/sgml/config.sgml                  |  2 +-
 doc/src/sgml/logical-replication.sgml     | 12 +++++------
 doc/src/sgml/ref/alter_subscription.sgml  | 26 +++++++++++------------
 doc/src/sgml/ref/create_subscription.sgml | 34 +++++++++++++++----------------
 doc/src/sgml/ref/pg_dump.sgml             |  2 +-
 5 files changed, 38 insertions(+), 38 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 3839c72..d244390 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -11686,7 +11686,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         On the publisher side, <varname>debug_logical_replication_streaming</varname>
         allows streaming or serializing changes immediately in logical decoding.
         When set to <literal>immediate</literal>, stream each change if the
-        <link linkend="sql-createsubscription-with-streaming"><literal>streaming</literal></link>
+        <link linkend="sql-createsubscription-params-with-streaming"><literal>streaming</literal></link>
         option of
         <link linkend="sql-createsubscription"><command>CREATE SUBSCRIPTION</command></link>
         is enabled, otherwise, serialize each change.  When set to
diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 9f0f059..1bb85e4 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -253,7 +253,7 @@
    will be filled with the default value as specified in the definition of the
    target table. However, logical replication in binary format is more
    restrictive. See the
-   <link linkend="sql-createsubscription-with-binary"><literal>binary</literal></link>
+   <link linkend="sql-createsubscription-params-with-binary"><literal>binary</literal></link>
    option of <command>CREATE SUBSCRIPTION</command> for details.
   </para>
 
@@ -593,7 +593,7 @@ ALTER SUBSCRIPTION
    <para>
     Example 2: Where the subscription says <literal>connect = false</literal>,
     but also specifies the
-    <link linkend="sql-createsubscription-with-slot-name"><literal>slot_name</literal></link>
+    <link linkend="sql-createsubscription-params-with-slot-name"><literal>slot_name</literal></link>
     option.
     <itemizedlist>
      <listitem>
@@ -712,7 +712,7 @@ ALTER SUBSCRIPTION
     then the row is not replicated. The <literal>WHERE</literal> clause expression
     is evaluated with the same role used for the replication connection (i.e.
     the role specified in the
-    <link linkend="sql-createsubscription-connection"><literal>CONNECTION</literal></link>
+    <link linkend="sql-createsubscription-params-connection"><literal>CONNECTION</literal></link>
     clause of the <xref linkend="sql-createsubscription"/>). Row filters have
     no effect for <command>TRUNCATE</command> command.
    </para>
@@ -1518,7 +1518,7 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
    either by <link linkend="sql-altersubscription-params-disable">
    <command>ALTER SUBSCRIPTION ... DISABLE</command></link> or, the
    subscription can be used with the
-   <link linkend="sql-createsubscription-with-disable-on-error"><literal>disable_on_error</literal></link>
+   <link linkend="sql-createsubscription-params-with-disable-on-error"><literal>disable_on_error</literal></link>
    option. Then, you can use <function>pg_replication_origin_advance()</function>
    function with the <parameter>node_name</parameter> (i.e., <literal>pg_16395</literal>)
    and the next LSN of the finish LSN (i.e., 0/14C0379).  The current position of
@@ -1531,7 +1531,7 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
 
   <para>
    When the
-   <link linkend="sql-createsubscription-with-streaming"><literal>streaming</literal></link>
+   <link linkend="sql-createsubscription-params-with-streaming"><literal>streaming</literal></link>
    mode is <literal>parallel</literal>, the finish LSN of failed transactions
    may not be logged. In that case, it may be necessary to change the streaming
    mode to <literal>on</literal> or <literal>off</literal> and cause the same
@@ -1743,7 +1743,7 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
    zero rows in this view.  If the initial data synchronization of any
    table is in progress, there will be additional workers for the tables
    being synchronized. Moreover, if the
-   <link linkend="sql-createsubscription-with-streaming"><literal>streaming</literal></link>
+   <link linkend="sql-createsubscription-params-with-streaming"><literal>streaming</literal></link>
    transaction is applied in parallel, there may be additional parallel apply
    workers.
   </para>
diff --git a/doc/src/sgml/ref/alter_subscription.sgml b/doc/src/sgml/ref/alter_subscription.sgml
index ba70855..6d36ff0 100644
--- a/doc/src/sgml/ref/alter_subscription.sgml
+++ b/doc/src/sgml/ref/alter_subscription.sgml
@@ -72,9 +72,9 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
    executed inside a transaction block.
 
    These commands also cannot be executed when the subscription has
-   <link linkend="sql-createsubscription-with-two-phase"><literal>two_phase</literal></link>
+   <link linkend="sql-createsubscription-params-with-two-phase"><literal>two_phase</literal></link>
    commit enabled, unless
-   <link linkend="sql-createsubscription-with-copy-data"><literal>copy_data</literal></link>
+   <link linkend="sql-createsubscription-params-with-copy-data"><literal>copy_data</literal></link>
    is <literal>false</literal>. See column <structfield>subtwophasestate</structfield>
    of <link linkend="catalog-pg-subscription"><structname>pg_subscription</structname></link>
    to know the actual two-phase state.
@@ -178,12 +178,12 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
          <para>
           See <xref linkend="sql-createsubscription-notes"/> for details of
           how <literal>copy_data = true</literal> can interact with the
-          <link linkend="sql-createsubscription-with-origin"><literal>origin</literal></link>
+          <link linkend="sql-createsubscription-params-with-origin"><literal>origin</literal></link>
           parameter.
          </para>
          <para>
           See the
-          <link linkend="sql-createsubscription-with-binary"><literal>binary</literal></link>
+          <link linkend="sql-createsubscription-params-with-binary"><literal>binary</literal></link>
           parameter of <command>CREATE SUBSCRIPTION</command> for details about
           copying pre-existing data in binary format.
          </para>
@@ -220,14 +220,14 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
       This clause alters parameters originally set by
       <xref linkend="sql-createsubscription"/>.  See there for more
       information.  The parameters that can be altered are
-      <link linkend="sql-createsubscription-with-slot-name"><literal>slot_name</literal></link>,
-      <link linkend="sql-createsubscription-with-synchronous-commit"><literal>synchronous_commit</literal></link>,
-      <link linkend="sql-createsubscription-with-binary"><literal>binary</literal></link>,
-      <link linkend="sql-createsubscription-with-streaming"><literal>streaming</literal></link>,
-      <link linkend="sql-createsubscription-with-disable-on-error"><literal>disable_on_error</literal></link>,
-      <link linkend="sql-createsubscription-with-password-required"><literal>password_required</literal></link>,
-      <link linkend="sql-createsubscription-with-run-as-owner"><literal>run_as_owner</literal></link>, and
-      <link linkend="sql-createsubscription-with-origin"><literal>origin</literal></link>.
+      <link linkend="sql-createsubscription-params-with-slot-name"><literal>slot_name</literal></link>,
+      <link linkend="sql-createsubscription-params-with-synchronous-commit"><literal>synchronous_commit</literal></link>,
+      <link linkend="sql-createsubscription-params-with-binary"><literal>binary</literal></link>,
+      <link linkend="sql-createsubscription-params-with-streaming"><literal>streaming</literal></link>,
+      <link linkend="sql-createsubscription-params-with-disable-on-error"><literal>disable_on_error</literal></link>,
+      <link linkend="sql-createsubscription-params-with-password-required"><literal>password_required</literal></link>,
+      <link linkend="sql-createsubscription-params-with-run-as-owner"><literal>run_as_owner</literal></link>, and
+      <link linkend="sql-createsubscription-params-with-origin"><literal>origin</literal></link>.
       Only a superuser can set <literal>password_required = false</literal>.
      </para>
     </listitem>
@@ -243,7 +243,7 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
       the logical replication worker skips all data modification changes within
       the transaction.  This option has no effect on the transactions that are
       already prepared by enabling
-      <link linkend="sql-createsubscription-with-two-phase"><literal>two_phase</literal></link>
+      <link linkend="sql-createsubscription-params-with-two-phase"><literal>two_phase</literal></link>
       on the subscriber.
       After the logical replication worker successfully skips the transaction or
       finishes a transaction, the LSN (stored in
diff --git a/doc/src/sgml/ref/create_subscription.sgml b/doc/src/sgml/ref/create_subscription.sgml
index db11ebc..f1c20b3 100644
--- a/doc/src/sgml/ref/create_subscription.sgml
+++ b/doc/src/sgml/ref/create_subscription.sgml
@@ -68,7 +68,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
   <title>Parameters</title>
 
   <variablelist>
-   <varlistentry id="sql-createsubscription-name">
+   <varlistentry id="sql-createsubscription-params-name">
     <term><replaceable class="parameter">subscription_name</replaceable></term>
     <listitem>
      <para>
@@ -77,7 +77,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
     </listitem>
    </varlistentry>
 
-   <varlistentry id="sql-createsubscription-connection">
+   <varlistentry id="sql-createsubscription-params-connection">
     <term><literal>CONNECTION '<replaceable class="parameter">conninfo</replaceable>'</literal></term>
     <listitem>
      <para>
@@ -88,7 +88,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
     </listitem>
    </varlistentry>
 
-   <varlistentry id="sql-createsubscription-publication">
+   <varlistentry id="sql-createsubscription-params-publication">
     <term><literal>PUBLICATION <replaceable class="parameter">publication_name</replaceable> [, ...]</literal></term>
     <listitem>
      <para>
@@ -97,7 +97,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
     </listitem>
    </varlistentry>
 
-   <varlistentry id="sql-createsubscription-with">
+   <varlistentry id="sql-createsubscription-params-with">
     <term><literal>WITH ( <replaceable class="parameter">subscription_parameter</replaceable> [= <replaceable class="parameter">value</replaceable>] [, ... ] )</literal></term>
     <listitem>
      <para>
@@ -109,7 +109,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
 
       <variablelist>
 
-       <varlistentry id="sql-createsubscription-with-connect">
+       <varlistentry id="sql-createsubscription-params-with-connect">
         <term><literal>connect</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -136,7 +136,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-create-slot">
+       <varlistentry id="sql-createsubscription-params-with-create-slot">
         <term><literal>create_slot</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -152,7 +152,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-enabled">
+       <varlistentry id="sql-createsubscription-params-with-enabled">
         <term><literal>enabled</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -163,7 +163,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-slot-name">
+       <varlistentry id="sql-createsubscription-params-with-slot-name">
         <term><literal>slot_name</literal> (<type>string</type>)</term>
         <listitem>
          <para>
@@ -192,7 +192,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
 
       <variablelist>
 
-       <varlistentry id="sql-createsubscription-with-binary">
+       <varlistentry id="sql-createsubscription-params-with-binary">
         <term><literal>binary</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -229,7 +229,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-copy-data">
+       <varlistentry id="sql-createsubscription-params-with-copy-data">
         <term><literal>copy_data</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -250,7 +250,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-streaming">
+       <varlistentry id="sql-createsubscription-params-with-streaming">
         <term><literal>streaming</literal> (<type>enum</type>)</term>
         <listitem>
          <para>
@@ -278,7 +278,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-synchronous-commit">
+       <varlistentry id="sql-createsubscription-params-with-synchronous-commit">
         <term><literal>synchronous_commit</literal> (<type>enum</type>)</term>
         <listitem>
          <para>
@@ -310,7 +310,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-two-phase">
+       <varlistentry id="sql-createsubscription-params-with-two-phase">
         <term><literal>two_phase</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -341,7 +341,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-disable-on-error">
+       <varlistentry id="sql-createsubscription-params-with-disable-on-error">
         <term><literal>disable_on_error</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -353,7 +353,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-password-required">
+       <varlistentry id="sql-createsubscription-params-with-password-required">
         <term><literal>password_required</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -366,7 +366,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-run-as-owner">
+       <varlistentry id="sql-createsubscription-params-with-run-as-owner">
         <term><literal>run_as_owner</literal> (<type>boolean</type>)</term>
         <listitem>
          <para>
@@ -380,7 +380,7 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
         </listitem>
        </varlistentry>
 
-       <varlistentry id="sql-createsubscription-with-origin">
+       <varlistentry id="sql-createsubscription-params-with-origin">
         <term><literal>origin</literal> (<type>string</type>)</term>
         <listitem>
          <para>
diff --git a/doc/src/sgml/ref/pg_dump.sgml b/doc/src/sgml/ref/pg_dump.sgml
index 1417d70..8695571 100644
--- a/doc/src/sgml/ref/pg_dump.sgml
+++ b/doc/src/sgml/ref/pg_dump.sgml
@@ -1488,7 +1488,7 @@ CREATE DATABASE foo WITH TEMPLATE template0;
    truncate the target tables before initiating a new full table copy.  If users
    intend to copy initial data during refresh they must create the slot with
    <literal>two_phase = false</literal>.  After the initial sync, the
-   <link linkend="sql-createsubscription-with-two-phase"><literal>two_phase</literal></link>
+   <link linkend="sql-createsubscription-params-with-two-phase"><literal>two_phase</literal></link>
    option will be automatically enabled by the subscriber if the subscription
    had been originally created with <literal>two_phase = true</literal> option.
   </para>
-- 
1.8.3.1

